VULKAN_HPP_NAMESPACE::SubresourceLayout Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkSubresourceLayout const & () const
| operator VkSubresourceLayout & ()
bool | operator== (SubresourceLayout const &rhs) const
bool | operator!= (SubresourceLayout const &rhs) const

## Data Fields

DeviceSize | offset
DeviceSize | size
DeviceSize | rowPitch
DeviceSize | arrayPitch
DeviceSize | depthPitch

## Detailed Description

Definition at line 5829 of file vulkan.hpp.

## Member Function Documentation

## operator VkSubresourceLayout &()

VULKAN_HPP_NAMESPACE::SubresourceLayout::operator VkSubresourceLayout & | ( |  | ) |

inline

Definition at line 5836 of file vulkan.hpp.

{
return *reinterpret_cast<VkSubresourceLayout*>(this);
}

## operator VkSubresourceLayout const &()

VULKAN_HPP_NAMESPACE::SubresourceLayout::operator VkSubresourceLayout const & | ( |  | ) | const

inline

Definition at line 5831 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSubresourceLayout*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SubresourceLayout::operator!= | ( | SubresourceLayout const & | rhs | ) | const

inline

Definition at line 5850 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SubresourceLayout::operator== | ( | SubresourceLayout const & | rhs | ) | const

inline

Definition at line 5841 of file vulkan.hpp.

{
return ( offset == rhs.offset )
&& ( size == rhs.size )
&& ( rowPitch == rhs.rowPitch )
&& ( arrayPitch == rhs.arrayPitch )
&& ( depthPitch == rhs.depthPitch );
}

References arrayPitch, depthPitch, offset, rowPitch, and size.

Referenced by operator!=().

## Field Documentation

## arrayPitch

DeviceSize VULKAN_HPP_NAMESPACE::SubresourceLayout::arrayPitch

Definition at line 5858 of file vulkan.hpp.

Referenced by operator==().

## depthPitch

DeviceSize VULKAN_HPP_NAMESPACE::SubresourceLayout::depthPitch

Definition at line 5859 of file vulkan.hpp.

Referenced by operator==().

## offset

DeviceSize VULKAN_HPP_NAMESPACE::SubresourceLayout::offset

Definition at line 5855 of file vulkan.hpp.

Referenced by operator==().

## rowPitch

DeviceSize VULKAN_HPP_NAMESPACE::SubresourceLayout::rowPitch

Definition at line 5857 of file vulkan.hpp.

Referenced by operator==().

## size

DeviceSize VULKAN_HPP_NAMESPACE::SubresourceLayout::size

Definition at line 5856 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::SubresourceLayout::depthPitch
DeviceSize depthPitch
Definition: vulkan.hpp:5859
VULKAN_HPP_NAMESPACE::SubresourceLayout::arrayPitch
DeviceSize arrayPitch
Definition: vulkan.hpp:5858
VULKAN_HPP_NAMESPACE::SubresourceLayout::operator==
bool operator==(SubresourceLayout const &rhs) const
Definition: vulkan.hpp:5841
VkSubresourceLayout
Definition: vulkan_core.h:2234
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
VULKAN_HPP_NAMESPACE::SubresourceLayout::rowPitch
DeviceSize rowPitch
Definition: vulkan.hpp:5857